OnlyFans API
FanslyMass Messaging

Cancel Scheduled Mass Message

Cancel a pending scheduled broadcast so it will not be sent.

DELETE
/api/fansly/{fanslyAccount}/mass-messaging/{broadcast_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

broadcast_id*string

The scheduled broadcast ID (from the List Scheduled Mass Messages endpoint).

Response Body

application/json

curl -X DELETE "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/mass-messaging/300000000000000020"
{
  "data": {
    "id": "300000000000000020",
    "accountId": "800000000000000001",
    "status": 3,
    "messageTemplate": "{\"type\":1,\"attachments\":[],\"content\":\"Hey everyone, new content is live!\",\"groupId\":\"200000000000000020\",\"senderId\":\"800000000000000001\",\"scheduledFor\":1785110912000,\"clientCreatedAt\":1784502540759,\"gatewayMetadata\":{\"createdAt\":1784502540831,\"correlationId\":\"300000000000000021\"}}",
    "version": 0,
    "scheduledFor": 1785110912000
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055789,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}